#!/usr/bin/env python3
import math
import os
import time

print("Makes dot.wav and dash.wav")

rate = 44100
millisec = 30

for freq, filename in [[1250, "paddle-dot.wav"], [1000, "paddle-dash.wav"]]:
	leng = int(rate * millisec / 1000)
	divisor = rate / (freq * 2 * 3.1415)
	volume = 100
	tail = .9
	elements = []
	for i in range(leng):
		#if i > (leng * tail):
		#	volume = volume * (leng - i) * / (leng * (1-tail))
		element = int( math.sin(i/divisor) * volume)
		if (element < 0):
			element = element + 256
		#print(i, volume, element)
		#print("|"+"x"*int(element/4))
		elements += [element]
	f = open(filename+".raw","wb")
	f.write(bytes(elements))
	f.close()

	# -c1 	  one channel
	# -r44100 rate is 44100 hertz
	# dcshift 0	DC Balence the audio
	# fade x y z 	Fade the first x secondss and the last z seconds.
	#		Crop the sound to be no longer than y seconds.
	#os.system("play  -e signed-integer -c1 -r44100 %s.raw" % (filename))
	cmd = "sox -e unsigned-integer -b 8 -c1 -r44100 " \
		+ "%s.raw " % filename \
		+ "-c1 -e signed-integer -b 8 %s " % filename \
		+ "dcshift 0 fade 0.002 %1.4f 0.008" % (millisec/1000)
	print(cmd)
	os.system(cmd)
	os.system("rm %s.raw" % (filename))
	os.system("play %s" % (filename))
	time.sleep(millisec/500)
	os.system("play %s" % (filename))
	time.sleep(millisec/500)
	os.system("play %s" % (filename))
	time.sleep(millisec/500)

