#!/usr/bin/env python3

import sys

if len(sys.argv) != 2:
	print("usage: show file.wav")
	sys.exit(0)

filename = sys.argv[1]

t = open(filename,"rb").read()
print("Volume profile of wav file %s" % filename)
for i in range(2,len(t),4):
	c = t[i]
	if c > 127:
	 c = c - 256
	print("|"+"x"*int(c/4))
print("End")
